%define		subver	b2
%define		rel		10
%define		srcname	xml-commons
%include	/usr/lib/rpm/macros.java
Summary:	Common code for Apache XML projects
Summary(pl.UTF-8):	Wspólny kod dla projektów Apache XML
Name:		java-%{srcname}
Version:	1.0
Release:	0.%{subver}.%{rel}
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/xml/commons/%{srcname}-%{version}.%{subver}.tar.gz
# Source0-md5:	6c6551ece56948ee535d5f5014489b8d
Patch0:		%{srcname}.build.patch
Patch1:		%{srcname}.manifest.patch
URL:		http://xml.apache.org/commons/
BuildRequires:	ant
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	sed >= 4.0
Requires:	jpackage-utils
Provides:	java(xml-commons-apis)
Obsoletes:	xml-commons
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xml-commons is focused on common code and guidelines for xml projects.
Its first focus will be to organize and have common packaging for the
various externally-defined standards code relating to XML - things
like the DOM, SAX, and JAXP interfaces.

%description -l pl.UTF-8
Projekt xml-commons koncentruje się na wspólnym kodzie i wytycznych
dla projektów XML. Pierwszym celem będzie zorganizowanie i
spakietowanie kodu wspólnego dla różnych zewnętrznych standardów
związanych z XML-em - rzeczy takich jak DOM, SAX oraz interfejsy JAXP.

%package javadoc
Summary:	Online manual for xml-commons
Summary(pl.UTF-8):	Dokumentacja online dla xml-commons
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	xml-commons-javadoc

%description javadoc
Documentation for xml-commons.

%description javadoc -l pl.UTF-8
Dokumentacja dla xml-commons.

%prep
%setup -q -n %{srcname}-%{version}.%{subver}

%{__sed} -i -e 's,\r$,,' build.xml
%{__sed} -i -e 's,\r$,,' java/which.xml
%{__sed} -i -e 's,\r$,,' java/external/build.xml

%patch0 -p1
%patch1 -p1

%build
%ant clean
%ant jars

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install java/external/build/xml-apis.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-apis-%{version}.jar
install java/build/which.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-which-%{version}.jar

ln -s %{srcname}-apis-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-apis.jar
ln -s %{srcname}-which-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-which.jar

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a java/external/build/docs/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc KEYS README.html
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%changelog
* Sun Jul 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-xml-commons.git;a=log;h=master

* Sun Jul 12 2015 Jan Rękorajski <baggins@pld-linux.org> 188e38b
- release 10 (by relup.sh)

* Sun Aug 31 2014 Jan Palus <atler@pld-linux.org> 2b258c4
- add P: java(xml-commons-apis)

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> c100f25
- avoid self-obsoletes; drop old provides

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 9533f97
- release 8 (by relup.sh)

* Sun Apr 18 2010 Jacek Konieczny <jajcus@pld-linux.org> c051de2
- do not force gcj
- Release: 7

* Sat Apr 17 2010 Jacek Konieczny <jajcus@pld-linux.org> bed7435
- do not pull java-sun via BR - icedtea6 should be enough in all (most) cases

* Tue Mar 31 2009 pawelz <pawelz@pld-linux.org> 6c77518
- Apache license version
- versioned ant R needed only when building with gcj
- we are not the xml-commons community (removed from description)

* Tue Mar 31 2009 pawelz <pawelz@pld-linux.org> cfbba75
- specify both: source and target level

* Tue Mar 31 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 3b14637
- it can also be build with java-sun so bcond java_sun added
- rel 6

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> ec41f80
- Libraries/Java group

* Sun Feb 01 2009 pawelz <pawelz@pld-linux.org> e9acbf1
- ant must know that we use gnu java

* Sun Feb 01 2009 pawelz <pawelz@pld-linux.org> f38a51d
- BR: java-gcj-compat-devel (not java-gcj-compat)

* Sun Feb 01 2009 pawelz <pawelz@pld-linux.org> 1f0cdb2
- build using java-gcj-compat
- typo i dependencies
- rel 5

* Fri Jan 30 2009 pawelz <pawelz@pld-linux.org> 6eb4ac3
- rel 4, STBR

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> 5ee5576
- no macros for obsoletes, cosmetics

* Fri Jan 30 2009 pawelz <pawelz@pld-linux.org> 46e752d
- renamed from xml-commons.spec

* Wed Jan 28 2009 pawelz <pawelz@pld-linux.org> 37aa4a2
- use gcj not sun javac (so now we could build it on i486)
- BR: gcj, ant >= 1.7.1-3 (because of ant-gcjtask.patch)
- what happened to "%ant clean"? I am almost sure that I'v added it in last
  commit... strange...

* Tue Jan 27 2009 pawelz <pawelz@pld-linux.org> 9e6f555
- cleanup

* Tue Jan 27 2009 pawelz <pawelz@pld-linux.org> 85a4d55
- undos ant build files (ARRRRGH!!! WHY THIS STUPID CVS UNDOS PATCHES!!!)
- do not remove built files manually. Use ant clean.

* Tue Jan 27 2009 pawelz <pawelz@pld-linux.org> 273f9a1
- produce classes compatibile with java 1.4, so it will work with GNU Java

